function TX = transmitter_init()
% Set simulation parameters

% General simulation parameters
TX.Upsampling = 4; % Upsampling factor

%Frame Properties
TX.Period = 10; % Period of Training Frame among data Frames
TX.TrainingFrameLength=147; % Number of symbols in Training Frame
TX.DataFrameLength=100; % Number of symbols in Data Frame

% Generate square root raised cosine filter coefficients 
TX.RCFiltSpan = 10; % Filter span of Raised Cosine Tx Rx filters (in symbols)
TX.SquareRootRaisedCosineFilterOrder = TX.Upsampling*TX.RCFiltSpan;
TX.RollOff = 0.5;
hTxFilt = fdesign.interpolator(TX.Upsampling, ...
    'Square Root Raised Cosine', TX.Upsampling, ...
    'N,Beta', TX.SquareRootRaisedCosineFilterOrder, TX.RollOff);
hDTxFilt = design(hTxFilt, 'SystemObject', true);
TX.TransmitterFilterCoefficients = hDTxFilt.Numerator/2;